unit foo;

interface
type
  r=record
    a:integer
  end;

procedure f(const p:r);

implementation
procedure f(const p:r);
begin
  writeln ( 'OK' );
end;
end.

program fjf5;
uses foo;
var p:r;
begin
  f(p)
end.
